# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Have to use List::MoreUtils rather than List::Util on old perls
%global old_list_util %(perl -MList::Util -e 'print (($List::Util::VERSION < 1.56) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Moose
Version:	2.2207
Release:	2.%{__distinit}%{__distvers}
Summary:	Complete modern object system for Perl 5
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Moose
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Moose-%{version}.tar.gz
Patch1:		Moose-2.2200-old-List::Util.patch
# ==============================================================
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(base)
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
# Module Runtime ===============================================
BuildRequires:	perl(B)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::Load) >= 0.09
BuildRequires:	perl(Class::Load::XS) >= 0.01
BuildRequires:	perl(constant)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Data::OptList) >= 0.107
BuildRequires:	perl(Devel::GlobalDestruction)
BuildRequires:	perl(Devel::OverloadInfo) >= 0.005
BuildRequires:	perl(Devel::PartialDump) >= 0.14
BuildRequires:	perl(Devel::StackTrace) >= 2.03
BuildRequires:	perl(Dist::CheckConflicts) >= 0.02
BuildRequires:	perl(Eval::Closure) >= 0.04
BuildRequires:	perl(Filter::Simple)
BuildRequires:	perl(if)
# List::MoreUtils only required if we have List::Util < 1.56
BuildRequires:	perl(List::MoreUtils) >= 0.28
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Module::Runtime) >= 0.014
BuildRequires:	perl(Module::Runtime::Conflicts) >= 0.002
BuildRequires:	perl(MRO::Compat) >= 0.05
BuildRequires:	perl(overload)
BuildRequires:	perl(Package::DeprecationManager) >= 0.11
BuildRequires:	perl(Package::Stash) >= 0.32
BuildRequires:	perl(Package::Stash::XS) >= 0.24
BuildRequires:	perl(Params::Util) >= 1.00
BuildRequires:	perl(parent) >= 0.223
BuildRequires:	perl(re)
BuildRequires:	perl(Scalar::Util) >= 1.40
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Exporter) >= 0.980
BuildRequires:	perl(Sub::Util) >= 1.40
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Try::Tiny) >= 0.17
BuildRequires:	perl(warnings)
# Script Runtime ===============================================
BuildRequires:	perl(Getopt::Long)
# Test Suite ===================================================
BuildRequires:	perl(Algorithm::C3)
BuildRequires:	perl(CPAN::Meta::Check) >= 0.011
BuildRequires:	perl(CPAN::Meta::Requirements)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(Module::Metadata)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::Fatal) >= 0.001
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Test::Needs) >= 0.002010
BuildRequires:	perl(Tie::Scalar)
# Optional Tests ===============================================
BuildRequires:	perl(CPAN::Meta) >= 2.120900
# Data::Visitor requires Moose
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Data::Visitor) >= 0.26
%endif
BuildRequires:	perl(DateTime)
BuildRequires:	perl(DateTime::Calendar::Mayan)
BuildRequires:	perl(DateTime::Format::MySQL)
BuildRequires:	perl(DBM::Deep) >= 1.003
BuildRequires:	perl(Declare::Constraints::Simple)
BuildRequires:	perl(HTTP::Headers)
BuildRequires:	perl(Locale::US)
BuildRequires:	perl(Module::Refresh)
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Moo)
%if 0%{?fedora:1}
BuildRequires:	perl(MooseX::MarkAsMethods)
%endif
BuildRequires:	perl(MooseX::NonMoose) >= 0.25
%endif
BuildRequires:	perl(PadWalker)
BuildRequires:	perl(Params::Coerce)
BuildRequires:	perl(Regexp::Common)
BuildRequires:	perl(Specio) >= 0.10
BuildRequires:	perl(SUPER) >= 1.10
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::LeakTrace)
BuildRequires:	perl(Test::Memory::Cycle)
BuildRequires:	perl(Test::Output)
BuildRequires:	perl(Test::Warnings) >= 0.016
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Types::Standard)
%endif
BuildRequires:	perl(URI)
# Dependencies =================================================
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Class::Load) >= 0.09
Requires:	perl(Class::Load::XS) >= 0.01
Requires:	perl(Data::Dumper)
Requires:	perl(Data::OptList) >= 0.107
Requires:	perl(Devel::PartialDump) >= 0.14
Requires:	perl(Dist::CheckConflicts) >= 0.02
Requires:	perl(Eval::Closure) >= 0.04
Requires:	perl(List::MoreUtils) >= 0.28
Requires:	perl(Module::Runtime::Conflicts) >= 0.002
Requires:	perl(MRO::Compat) >= 0.05
Requires:	perl(Package::DeprecationManager) >= 0.11
Requires:	perl(Package::Stash) >= 0.32
Requires:	perl(Package::Stash::XS) >= 0.24
Requires:	perl(Params::Util) >= 1.00
Requires:	perl(parent) >= 0.223
Requires:	perl(Try::Tiny) >= 0.17

# Class::MOP merged into Moose at 2.0000
Obsoletes:	perl-Class-MOP < 2.0000
Obsoletes:	perl-Class-MOP-tests < 2.0000
Provides:	perl-Class-MOP = %{version}-%{release}
Provides:	perl-Class-MOP-tests = %{version}-%{release}

# Virtual provides for perl-Any-Moose
Provides:	perl(Any-Moose) = %{version}

# Don't "provide" private Perl libs, or test-only packages, or documentation
%global __provides_exclude_from ^%{_docdir}
%global __provides_exclude ^(Moose\\.so|perl\\(Moose::(Manual::FAQ|.*::Recipe[0-9]+)\\))
# Filter dependencies on private modules Moose::Conflicts and Moose::Error::Util plus doc-file dependencies
%global __requires_exclude_from ^%{_docdir}
%global __requires_exclude ^perl\\(Moose::(Conflicts|Error::Util)\\)

%description
Moose is an extension of the Perl 5 object system.

Moose is built on top of Class::MOP, which is a meta-class system for
Perl 5. This means that Moose not only makes building normal Perl 5
objects better, but it also provides the power of meta-class programming.
Moose is different from other Perl 5 object systems because it is not a
new system, but instead an extension of the existing one.

While Moose is very much inspired by Perl 6, it is not itself Perl 6.
Instead, it is an OO system for Perl 5. I built Moose because I was
tired or writing the same old boring Perl 5 OO code, and drooling over
Perl 6 OO. So instead of switching to Ruby, I wrote Moose :)

%package -n perl-Test-Moose
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
Summary:	Test functions for Moose specific features
Requires:	%{name} = %{version}-%{release}
Requires:	perl(Test::More)

%description -n perl-Test-Moose
This module provides some useful test functions for Moose based classes.
It is an experimental first release, so comments and suggestions are
very welcome.

%prep
%setup -q -n Moose-%{version}

# Have to use List::MoreUtils rather than List::Util on old perls
%if %{old_list_util}
%patch -P 1
%endif

# Fix script interpreter
perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' \
	t/examples/example_Protomoose.t
perl -pi -e 's|^#!perl|#!/usr/bin/perl|' \
	t/cmop/universal_methods.t
perl -pi -e 's|^#!perl|#!/usr/bin/perl|' \
	xt/author/pod-syntax.t

# Fix permissions
chmod -c -R -x+X t/

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes Changes.Class-MOP README.md TODO
%{_bindir}/moose-outdated
%{perl_vendorarch}/auto/Moose/
%{perl_vendorarch}/Class/
%{perl_vendorarch}/metaclass.pm
%{perl_vendorarch}/Moose.pm
%{perl_vendorarch}/Moose/
%{perl_vendorarch}/oose.pm
%{_mandir}/man3/Class::MOP.3*
%{_mandir}/man3/Class::MOP::Attribute.3*
%{_mandir}/man3/Class::MOP::Class.3*
%{_mandir}/man3/Class::MOP::Class::Immutable::Trait.3*
%{_mandir}/man3/Class::MOP::Deprecated.3*
%{_mandir}/man3/Class::MOP::Instance.3*
%{_mandir}/man3/Class::MOP::Method.3*
%{_mandir}/man3/Class::MOP::Method::Accessor.3*
%{_mandir}/man3/Class::MOP::Method::Constructor.3*
%{_mandir}/man3/Class::MOP::Method::Generated.3*
%{_mandir}/man3/Class::MOP::Method::Inlined.3*
%{_mandir}/man3/Class::MOP::Method::Meta.3*
%{_mandir}/man3/Class::MOP::Method::Wrapped.3*
%{_mandir}/man3/Class::MOP::MiniTrait.3*
%{_mandir}/man3/Class::MOP::Mixin.3*
%{_mandir}/man3/Class::MOP::Mixin::AttributeCore.3*
%{_mandir}/man3/Class::MOP::Mixin::HasAttributes.3*
%{_mandir}/man3/Class::MOP::Mixin::HasMethods.3*
%{_mandir}/man3/Class::MOP::Mixin::HasOverloads.3*
%{_mandir}/man3/Class::MOP::Module.3*
%{_mandir}/man3/Class::MOP::Object.3*
%{_mandir}/man3/Class::MOP::Overload.3*
%{_mandir}/man3/Class::MOP::Package.3*
%{_mandir}/man3/metaclass.3*
%{_mandir}/man3/Moose.3*
%{_mandir}/man3/Moose::Conflicts.3*
%{_mandir}/man3/Moose::Cookbook*.3*
%{_mandir}/man3/Moose::Deprecated.3*
%{_mandir}/man3/Moose::Exception.3*
%{_mandir}/man3/Moose::Exporter.3*
%{_mandir}/man3/Moose::Intro.3*
%{_mandir}/man3/Moose::Manual*.3*
%{_mandir}/man3/Moose::Meta::*.3*
%{_mandir}/man3/Moose::Object.3*
%{_mandir}/man3/Moose::Role.3*
%{_mandir}/man3/Moose::Spec::Role.3*
%{_mandir}/man3/Moose::Unsweetened.3*
%{_mandir}/man3/Moose::Util*.3*
%{_mandir}/man3/oose.3*

%files -n perl-Test-Moose
%{perl_vendorarch}/Test/
%{_mandir}/man3/Test::Moose.3*

%changelog
* Fri Jan 26 2024 Paul Howarth <paul@city-fan.org> - 2.2207-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Paul Howarth <paul@city-fan.org> - 2.2207-1
- Update to 2.2207
  - Remove test dependency on Test::CleanNamespaces (GH#184)

* Sun Jul 23 2023 Paul Howarth <paul@city-fan.org> - 2.2206-1
- Update to 2.2206
  - Fix parsing error in test in 2.2205 release

* Sun Jul 23 2023 Paul Howarth <paul@city-fan.org> - 2.2205-1
- Update to 2.2205 (rhbz#2224800)
  Tests
  - Adjust the expected list of UNIVERSAL methods, to account for changes in
    perl 5.39.1: some things, like the import method, could end up existing
    based on the perl version or based on a prerequite loading UNIVERSAL.pm
    (GH#183)
- Revert test change for Perl 5.39 if our perl is older than 5.22

* Fri Jul 21 2023 Paul Howarth <paul@city-fan.org> - 2.2203-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Paul Howarth <paul@city-fan.org> - 2.2203-3
- Perl 5.38 rebuild

* Mon Jan 23 2023 Paul Howarth <paul@city-fan.org> - 2.2203-1
- Update to 2.2203 (rhbz#2163020)
  - Increased the required version of Test::Needs (GH#182)

* Fri Jan 20 2023 Paul Howarth <paul@city-fan.org> - 2.2202-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jan 15 2023 Paul Howarth <paul@city-fan.org> - 2.2202-1
- Update to 2.2202
  - Switched from Test::Requires to Test::Needs (GH#181)
- Use SPDX-format license tag

* Fri Jul 22 2022 Paul Howarth <paul@city-fan.org> - 2.2201-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun  3 2022 Paul Howarth <paul@city-fan.org> - 2.2201-4
- Perl 5.36 rebuild

* Sun Jan 23 2022 Paul Howarth <paul@city-fan.org> - 2.2201-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov  7 2021 Paul Howarth <paul@city-fan.org> - 2.2201-1
- Update to 2.2201
   - Remove remaining traces of Sub::Name

* Mon Nov  1 2021 Paul Howarth <paul@city-fan.org> - 2.2200-1
- Update to 2.2200
  - Replaced all uses of Sub::Name with Sub::Util, since the latter is part of
    core as of Perl 5.22

* Sat Jul 24 2021 Paul Howarth <paul@city-fan.org> - 2.2015-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
- Fix dist tags for Alma and Rocky Linux

* Mon May 24 2021 Paul Howarth <paul@city-fan.org> - 2.2015-3
- Perl 5.34 rebuild

* Wed Mar 31 2021 Paul Howarth <paul@city-fan.org> - 2.2015-1
- Update to 2.2015
  - A test has been rewritten so as to remove IO::String from the prerequisite
    list (GH#179)
  - Optional prereq on List::SomeUtils has been replaced with List::Util 1.56

* Mon Feb  1 2021 Paul Howarth <paul@city-fan.org> - 2.2014-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 19 2020 Paul Howarth <paul@city-fan.org> - 2.2014-1
- Update to 2.2014
  Enhancements
  - Include details about expected values when Enum type checks fail (GH#174)
  Documentation
  - Fix misleading missing semicolon in exceptions example (GH#170)
  Other
  - Allow internal packages to be indexed by PAUSE; this avoids their
    permissions being captured (possibly unintentionally) by others
  - Sub::Identify prerequisite removed, in favour of already-existing local
    code

* Wed Jul 29 2020 Paul Howarth <paul@city-fan.org> - 2.2013-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Paul Howarth <paul@city-fan.org> - 2.2013-1
- Update to 2.2013
  - Improved some documentation wording in Moose and Class::MOP::Class (GH#162)
  - Updated bundled ExtUtils::HasCompiler, for msys2 support (CPAN RT#133022)

* Mon Jun 29 2020 Paul Howarth <paul@city-fan.org> - 2.2012-4
- Perl 5.32 rebuild

* Fri Jan 31 2020 Paul Howarth <paul@city-fan.org> - 2.2012-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Nov 23 2019 Paul Howarth <paul@city-fan.org> - 2.2012-1
- Update to 2.2012
  - Adjust test of missing package to accommodate new diagnostic message in
    perl 5.31.6 (CPAN RT#130929)

* Tue Oct 15 2019 Paul Howarth <paul@city-fan.org> - 2.2011-9
- Tidy up dependencies

* Fri Jul 26 2019 Paul Howarth <paul@city-fan.org> - 2.2011-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun  9 2019 Paul Howarth <paul@city-fan.org> - 2.2011-7
- Perl 5.30 rebuild

* Tue Feb  5 2019 Paul Howarth <paul@city-fan.org> - 2.2011-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jul 17 2018 Paul Howarth <paul@city-fan.org> - 2.2011-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Paul Howarth <paul@city-fan.org> - 2.2011-3
- Re-rebuild of bootstrapped package

* Fri Jun 29 2018 Paul Howarth <paul@city-fan.org> - 2.2011-2
- Perl 5.28 rebuild

* Wed May 16 2018 Paul Howarth <paul@city-fan.org> - 2.2011-1
- Update to 2.2011
  Bug Fixes
  - Various native trait methods would refuse "0" where they expected a string;
    they have been fixed to allow all defined, non-reference values, and all
    objects with string, number, or boolean overloads
  Documentation
  - Moose::Manual::Construction now notes that roles can modify the BUILD sub
  Other
  - Adjustments have been made to the Makefile for 'bmake', so it now works
    when not run in compatibility mode

* Mon Feb 19 2018 Paul Howarth <paul@city-fan.org> - 2.2010-1
- Update to 2.2010
  - A performance improvement with operator overloads has been made by making
    use of a new Devel::OverloadInfo interface

* Wed Nov 29 2017 Paul Howarth <paul@city-fan.org> - 2.2009-1
- Update to 2.2009
  - Fixed tests (new in 2.2008) that sometimes fail under Windows
  - Some hash native trait methods (notably clear and delete) were broken in
    various ways when the associated attribute's type allowed for coercion of
    the hash values and coercion was enabled for the hash (CPAN RT#123737)

* Wed Nov 22 2017 Paul Howarth <paul@city-fan.org> - 2.2008-1
- Update to 2.2008
  - Fixed empty exception messages under -d (new issue in 2.2007)

* Mon Nov 13 2017 Paul Howarth <paul@city-fan.org> - 2.2007-1
- Update to 2.2007
  Documentation
  - The Moose::Manual::Attributes pod has been amended to clarify that
    'required' attributes can be satisfied with a 'default' or 'builder' sub,
    and that 'ro' attributes can be set through the constructor
  - The Moose::Manual::Types pod has been amended to recommend
    Params::ValidationCompiler and Moops instead of older modules (which are
    slow and/or deprecated)
  - Other small documentation fixes
  Other
  - Some dead code has been removed
  - All Moose exception classes have been made immutable

* Fri Aug  4 2017 Paul Howarth <paul@city-fan.org> - 2.2006-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 13 2017 Paul Howarth <paul@city-fan.org> - 2.2006-1
- Update to 2.2006
  - Passing roles as a mix of role names and role objects to
    Moose::Meta::class->create_anon_class could throw a bogus exception about
    'Roles with parameters cannot be cached ...' (GH#117)
- BR: perl-interpreter rather than perl
- BR: perl-generators unconditionally

* Thu Jun 15 2017 Paul Howarth <paul@city-fan.org> - 2.2005-2
- Perl 5.26 rebuild

* Thu May  4 2017 Paul Howarth <paul@city-fan.org> - 2.2005-1
- Update to 2.2005
  - Increased minimum required version of Test::More, to ensure a reliable
    subtest
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.96
  - BR: perl-devel unconditionally
  - Test::Warnings always available now
  - MooseX::MarkAsMethods always available in Fedora now
  - Don't need patch to get Specio test running on 5.8 any more
- Update patch for building with old List::Util versions

* Sat Feb 11 2017 Paul Howarth <paul@city-fan.org> - 2.2004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 31 2017 Paul Howarth <paul@city-fan.org> - 2.2004-1
- Update to 2.2004
  Bug Fixes:
  - When an attribute was specified as 'rw' and you also provided an accessor
    name matching the attribute and there was an explicit writer, Moose would
    try to make an additional reader accessor with the same name as the
    attribute; then Moose would warn about overwriting an accessor with a
    reader (this is related to the bugs reported in CPAN RT#120040)

* Mon Jan 30 2017 Paul Howarth <paul@city-fan.org> - 2.2003-1
- Update to 2.2003
  Bug Fixes:
  - Moose could die when attempting to warn about overwriting an attribute's
    access method in some cases (CPAN RT#120040)

* Mon Jan 30 2017 Paul Howarth <paul@city-fan.org> - 2.2002-1
- Update to 2.2002
  Bug Fixes:
  - Creating a Moose subclass of a Moo class with an attribute with a
    delegation would cause a warning
  Tests:
  - Fixed variable interpolation in filename in test (CPAN RT#120033)

* Sun Jan 29 2017 Paul Howarth <paul@city-fan.org> - 2.2000-1
- Update to 2.2000
  Enhancements:
  - Most delegations are inlined now, which improve stack traces when the
    delegated-to method throws an exception or when the delegated-to method
    simply does not exist in the delegatee; previously, this stack trace and
    associated error were less helpful than they could have been
    (CPAN RT#46614, CPAN RT#98402, CPAN RT#109631)
  - The stack trace for an inlined delegation now tells you where the
    delegating attribute was declared (file and line number)
  - When an attribute defines two methods (say a reader and writer) with the
    same name, this now generates a warning
  - The warning when attribute methods overwrite one another is now much more
    informative; it includes the type of accessors involve (reader, writer,
    predicate, etc.) as well as the file and line where each accessor was
    defined (CPAN RT#118325)
  - Added support for __no_BUILD__ as a constructor argument to skip calling
    any BUILD subs (used internally by modules like Moo that have their own
    implementation of calling BUILD) (PR#142)
  Bug Fixes:
  - Brought back the Moose::Meta::Method::Delegation->_get_delegate_accessor
    method for the benefit of MooseX::CurriedDelegation
  Tests:
  - Warnings are only checked for in tests under AUTHOR_TESTING, so as to not
    prevent installation when warnings occur in prerequisites
  Other:
  - Increased minimum required version of Sub::Name
- Update patches as needed

* Mon Jan  9 2017 Paul Howarth <paul@city-fan.org> - 2.1807-2
- Test::Warnings now available all the way back to Fedora 9

* Thu Dec 22 2016 Paul Howarth <paul@city-fan.org> - 2.1807-1
- Update to 2.1807
  Bug Fixes
  - The definition context (package, file and line) for attributes on
    Class::MOP and Moose metaclasses was wrong in all cases
  - Slight tweaks to the syntax used for hashes in a few tests that were
    broken by a recent Test::More release that started using a new namespace
    that clashes with a (bareword) type name in these tests (PR#141)
- Update patches as needed

* Mon Sep 26 2016 Paul Howarth <paul@city-fan.org> - 2.1806-1
- Update to 2.1806
  Bug Fixes
  - A role generated on the fly (as opposed to one in a file on disk) could not
    be used as a trait (CPAN RT#92089, PR#47)
  Enhancements
  - When a required attribute's init_arg differs from the attribute's name, we
    now include both the attribute name and init_arg in the exception thrown
    when that attribute is not provided (CPAN RT#116814)
  - The unimport sub generated by Moose::Exporter can now be called with
    parameters like { into => 'Package' } or { into_level => 1 }, just like
    the import sub it generates (CPAN RT#93666)
  - Moose::Meta::Attribute objects created from role attributes keep a
    reference to the Moose::Meta::Role::Attribute that created them;
    Moose::Meta::Attribute now has ->role_attribute and ->has_role_attribute
    methods (CPAN RT#84563, CPAN RT#117586)
  Documentation
  - Updated Moose::Manual::Roles with more detail on role consumption and how
    to deal with various corner cases involving required methods, multiple
    roles, etc.
- Update patches as needed

* Sat Aug 20 2016 Paul Howarth <paul@city-fan.org> - 2.1805-1
- Update to 2.1805
  - Remove inc/Config.pm that should not have appeared in the distribution (an
    issue since 2.1800; CPAN RT#117071)
- Update patches as needed

* Sat Jul 30 2016 Paul Howarth <paul@city-fan.org> - 2.1804-4
- Fix FTBFS when perl is not in the minimal buildroot

* Fri Jul  1 2016 Paul Howarth <paul@city-fan.org> - 2.1804-3
- Enable Specio testing now that it's packaged and available

* Sun Jun 12 2016 Paul Howarth <paul@city-fan.org> - 2.1804-2
- Don't BR: perl(Types::Standard) when bootstrapping as Type-Tiny uses Moose
  in its test suite

* Fri Jun  3 2016 Paul Howarth <paul@city-fan.org> - 2.1804-1
- Update to 2.1804
  - Restrict Type::Tiny test to versions new enough to support native traits
  - Restrict recipe test to perls where Regexp::Common is installable
- Update patches as needed

* Wed Jun  1 2016 Paul Howarth <paul@city-fan.org> - 2.1803-1
- Update to 2.1803
  - Fixed type compatibility with Type::Tiny that was partially lost in 2.1802
- Update patches as needed

* Wed May 25 2016 Paul Howarth <paul@city-fan.org> - 2.1802-1
- Update to 2.1802
  Bug Fixes
  - Fixed test failures if Specio 0.14+ was installed
  Other
  - Updated metadata, used by moose-outdated and t/zzz-check-breaks.t, to
    reflect downstream modules affected by the recent removal of
    List::MoreUtils
- Update patches as needed

* Sat May 21 2016 Paul Howarth <paul@city-fan.org> - 2.1801-3
- BR: perl-generators where possible

* Tue May  3 2016 Paul Howarth <paul@city-fan.org> - 2.1801-1
- Update to 2.1801
  - Bundled an updated ExtUtils::HasCompiler, to support building with a
    noexec $TMPDIR
- Update patches as needed

* Mon May  2 2016 Paul Howarth <paul@city-fan.org> - 2.1800-1
- Update to 2.1800
  Bug Fixes
  - Fixed method cache regeneration when a class contains a blessed sub
    (CPAN RT#113704, PR#122)
  Documentation
  - Moose::Meta::Attribute::Native::Trait::Array now documents the return
    value for 'first_index' when there is no match (-1)
  Tests
  - Fix dysfunctional test on perl 5.8.x when Class::C3::XS is not installed
    (CPAN RT#113704)
  Other
  - Moose::Exception now has a boolean overload (PR#119)
  - All uses of List::MoreUtils have been removed, replaced by inlined forms
    or equivalents in List::Util (PR#120)
  - Moose::Exception's message attribute can now be any defined value, so as
    to allow for objects with a stringification overload in place of a string
  - Build-time compiler sanity checking is now done with ExtUtils::HasCompiler
    instead of ExtUtils::CBuilder
  - An increased Data::OptList version has been added to recommended prereqs,
    for greater speed (PR#123)
- Remove bundled Config.pm, which breaks builds on old perls
- Simplify find commands using -empty and -delete
- Prefer %%global over %%define
- Update patches as needed

* Tue Feb 16 2016 Paul Howarth <paul@city-fan.org> - 2.1605-1
- Update to 2.1605 (documentation fixes)
  Documentation
  - Fixed references to test files that were renamed when their associated
    documentation files were renamed in 2.0500 (CPAN RT#111898)
  - Moose::Manual::Roles now contains a section on handling required
    attributes in role application
  - A few other, very minor, documentation fixes
- Update patches as needed

* Thu Feb 11 2016 Paul Howarth <paul@city-fan.org> - 2.1604-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov  8 2015 Paul Howarth <paul@city-fan.org> - 2.1604-1
- Update to 2.1604
  - Minimum perl requirement is now set in configure-requires, as well as
    runtime-requires, to ensure that smokers bail out early enough to declare
    the installation N/A rather than FAIL
- Explicitly BR: perl-devel, needed for EXTERN.h
- Update patches as needed

* Mon Aug 31 2015 Paul Howarth <paul@city-fan.org> - 2.1603-1
- Update to 2.1603
  BUG FIXES
  - Explicit boolean overload handling has been added to Class::MOP::Method and
    Moose::Meta::Role::Method::Required, to work around a bug with the handling
    of overload fallbacks on perl 5.8.x; in particular this fixes issues
    observed in MooseX::MethodAttributes
  - Replaced uses of overload::Overloaded with the new
    Devel::OverloadInfo::is_overloaded to work around more issues with overload
    handling in older versions of perl
- Update patches as needed

* Sat Aug  1 2015 Paul Howarth <paul@city-fan.org> - 2.1600-1
- Update to 2.1600
  - The name for an anonymous sub that is used in method modifiers (that shows
    up in stack traces etc.) now identifies the package and method being
    modified (PR#94)
  - Added a new slideshow to Moose::Manual::Resources
  - Documentation for exception classes has been rewritten, with
    Moose::Manual::Exceptions::Manifest changing how it describes each class's
    attributes and methods (PR#95)
  - Made all docs use =head2 and =head3 for methods/functions so that they
    appear as part of the table of contents on MetaCPAN
- Update patches as needed

* Tue Jun 30 2015 Paul Howarth <paul@city-fan.org> - 2.1405-4
- Perl 5.22 rebuild

* Sun Jun  7 2015 Paul Howarth <paul@city-fan.org> - 2.1405-1
- Update to 2.1405
  BUG FIXES
  - The native 'Array' trait 'sort' accessor now returns the number of elements
    in scalar context, instead of the undefined value (or a different,
    seemingly-random, value under 5.23.x)
- Update patches as needed

* Fri Apr 17 2015 Paul Howarth <paul@city-fan.org> - 2.1404-1
- Update to 2.1404
  BUG FIXES
  - Add Sub::Identify to prereqs (CPAN RT#101661)
  - Bump List::Util prereq to avoid a memory leak (CPAN RT#101124)
  DOCUMENTATION
  - Added section to Moose::Manual::Resources to list external links related to
    Moose (CPAN RT#101993)
- Drop patch for building with old Carp versions, no longer needed
- Update patches as needed

* Mon Dec  8 2014 Paul Howarth <paul@city-fan.org> - 2.1403-1
- Update to 2.1403
  ENHANCEMENTS
  - Added a section to Moose::Manual::MethodModifiers illustrating how method
    modifiers work with inheritance (CPAN RT#98940)
  DOCUMENTATION
  - Added docs to Moose.pm on the -meta_name import option (CPAN RT#98488)
  BUG FIXES
  - Fix a test that fails on MSWin32 systems using nmake
  - Fix dev build compilation error when using MSVC
  OTHER
  - The modules in the git repository now have a defined $VERSION, to make it
    easier to test MooseX::* and other code under development

* Thu Nov  6 2014 Paul Howarth <paul@city-fan.org> - 2.1402-1
- Update to 2.1402
  - Fix a test that was using Test::Exception instead of Test::Fatal

* Tue Nov  4 2014 Paul Howarth <paul@city-fan.org> - 2.1401-1
- Update to 2.1401
  BUG FIXES
  - The core overloading support interacted badly with MooseX::MarkAsMethods:
    if you used MooseX::MarkAsMethods in a role that provided overloading,
    then that overloading would not be properly applied to consuming classes,
    leading to very weird errors of the form:
      Can't resolve method "???" overloading """" in package "Class2" ...
    Note that the problems that MooseX::MarkAsMethods fixes are no longer
    present if you are using Moose 2.1400+ and namespace::autoclean 0.16+; we
    encourage you to upgrade both of these modules and remove
    MooseX::MarkAsMethods from your code base
- Update patches as needed

* Mon Nov  3 2014 Paul Howarth <paul@city-fan.org> - 2.1400-1
- Update to 2.1400
  ENHANCEMENTS
  - Moose now has core support for overloading in roles: when a role with
    overloading is applied to classes or other roles, the overloading settings
    are transferred to the consumer, and conflicts between roles are treated
    much like method conflicts, which obviates the need for
    MooseX::Role::WithOverloading; if you are using
    MooseX::Role::WithOverloading, upgrade to version 0.15+ and it will simply
    become a no-op when used with this version of Moose
  - By default, exceptions thrown from inside Moose now remove most of the
    Moose internals from their stack trace when stringifying, which makes for
    much more readable error messages in most cases; set the
    MOOSE_FULL_EXCEPTION env var to true to get the complete stack trace
  - Rewrote overloading implementation to use a new Class::MOP::Overload
    object, which properly captures all overloading information; the
    Class::MOP::Method::Overload class has been removed (PR#83)
  - Support added to Moose::Exporter for exporting subs by their fully
    qualified name, as well as coderefs; this avoids internal breakage if some
    other module has monkey-patched a sub to be exported and left it anonymous
    (e.g. CPAN RT#88669) (PR#84)
  BUG FIXES
  - Conflict detection for overloading operators is now more correct: if a
    class consumed two roles that both had identical overloading methods
    (because they got them from some other role, for example), this caused an
    error, but it shouldn't (GH#4)
  - Similarly, when a role consumes another role, conflicts in overloading
    operators are now silently resolved in favor of the consuming role, just
    as they are with methods (note that conflicts between the fallback setting
    for roles are still an error)
  - When a role consumes another role and they differ in their overloading
    fallback settings, the consuming role now silently wins instead of
    throwing an exception; this is consistent with how other
    role-consumes-role conflicts are handled
  - Fixed the docs for overloading conflicts to match reality
  - Closed a memory leak in Moose exception objects where captured stack
    trace frames would contain circular references to the exception objects
    themselves (PR#81)
  - If a role had method-based overloading but did not actually implement the
    specified method, its overloading was simply ignored when applying
    overloading to other roles or classes (CPAN RT#98531)
  - Moose exception classes now stringify all stack frames, to avoid issues
    in global destruction (see CPAN RT#99811)
  TEST FIXES
  - Fix tests that fail on altered warning messages in perl 5.21.4
    (CPAN RT#98987)
  OTHER
  - The overloading info methods for roles and classes no longer treat
    "fallback" as an overloaded op. Instead, there are new
    get_overload_fallback_value() and set_overload_fallback_value() methods to
    deal with this explicitly; this is arguably a bug fix
- Update patches
- Classify buildreqs by usage
- Don't bother trying to run the extra tests
- Add patch to support building with List::Util < 1.33 on old distributions
- Add patch to support building with Test::NoWarnings instead of Test::Warnings
  on old distributions

* Fri Sep 26 2014 Paul Howarth <paul@city-fan.org> - 2.1213-1
- Update to 2.1213
  - Closed a memory leak in Moose exception objects where captured stack trace
    frames would contain circular references to the exception objects
    themselves (PR#81)
- BR:/R: perl(Module::Runtime::Conflicts)
- Drop some explicit dependencies that are now auto-detected

* Mon Sep 22 2014 Paul Howarth <paul@city-fan.org> - 2.1212-1
- Update to 2.1212
  - Fix tests that fail on altered warning messages in perl 5.21.4
    (CPAN RT#98987)
- Update spelling patch
- Upstream no longer produces Moose::Conflicts manpage
- Don't try to run the Kwalitee test unless we have a new enough version of
  Test::Kwalitee

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 2.1211-2
- BR: perl(Test::Spelling) unconditionally

* Mon Aug 11 2014 Paul Howarth <paul@city-fan.org> - 2.1211-1
- Update to 2.1211
  - Updated Changes and Moose::Manual::Delta to note when we started removing
    lazy_build from docs
  - Added a note in the Moose::Meta::Attribute docs stating that use of this
    feature is discouraged
  - Added a pointer from the auto_deref feature to
    Moose::Meta::Attribute::Native; this is often a better choice.
  - The subs installed by Moose::Exporter->setup_import_methods are now named
    using Sub::Name (CPAN RT#97572)
- Update spelling patch

* Fri Jul  4 2014 Paul Howarth <paul@city-fan.org> - 2.1210-1
- Update to 2.1210
  - Clarify that Moose::Exception exists for internal usage and that user code
    is better using the Throwable role or Throwable::Error superclass.
  - Moose::Manual::Support policy clarified regarding legacy Perl versions
  - Tests have been removed for an alpha branch of Test::Builder that will
    never see the light of day

* Fri Jun 13 2014 Paul Howarth <paul@city-fan.org> - 2.1209-2
- Can now use Test::CPAN::Changes unconditionally

* Tue Jun 10 2014 Paul Howarth <paul@city-fan.org> - 2.1209-1
- Update to 2.1209
  - Fix implementation of throw_exception in internal Class::MOP traits,
    caused by changes in 2.1207 (CPAN RT#96112)
  - The is_anon method now always returns false when called on
    Moose::Meta::Role::Composite objects; this isn't strictly right, but for
    the purposes of Moose internals, where "is_anon" really means "needs to be
    cleaned up", it's correct

* Tue May 27 2014 Paul Howarth <paul@city-fan.org> - 2.1207-1
- Update to 2.1207
  - Fixed Specio support to work with the latest Specio (0.10); this version of
    Specio no longer uses Moose internally
  - Exceptions in Class::MOP no longer use Moose::Util, instead using their
    own private implementation of throw_exception, to avoid needless premature
    loading of Moose logic
- Avoid the dubious new new-version.t release test, which requires access to
  CPAN and doesn't work, at least on old distributions

* Wed May 14 2014 Paul Howarth <paul@city-fan.org> - 2.1206-1
- Update to 2.1206
  Bug Fixes:
  - Exceptions should not throw other exceptions; fixes cases where exceptions
    were reporting the wrong error (CPAN RT#92818, CPAN RT#94795)
  Other:
  - Prereqs needed strictly for building with Dist::Zilla have been moved from
    develop requires to develop recommends, to simplify automated testing on
    older perls that cannot install all Dist::Zilla components
  - Removed instances of metaobjects in exception classes where they're not
    really required

* Wed Apr 16 2014 Paul Howarth <paul@city-fan.org> - 2.1205-1
- Update to 2.1205
  Enhancements:
  - New utility interface: Moose::Util::is_role
  Bug Fixes:
  - Better error message provided when trying to load a trait class that does
    not exist in @INC (CPAN RT#94731)
  Other:
  - New test added, to run last, which runs `moose-outdated` as a possibly
    more visible mechanism to provide important information to the user
    (re CPAN RT#92780)
- Drop support for old distributions prior to FC-5
  - Drop %%defattr, redundant since rpm 4.4
  - Drop patch for building with ExtUtils::MakeMaker < 6.30
  - BR: Data::Visitor, DBM::Deep, Test::LeakTrace and Test::Requires
    unconditionally
  - Drop support for building with Scalar::Util < 1.14 and BR:
    Declare::Constraints::Simple unconditionally
- moose-todo.txt renamed to TODO

* Fri Feb  7 2014 Paul Howarth <paul@city-fan.org> - 2.1204-1
- Update to 2.1204
  - Bump prereq on Module::Runtime to properly detect when a module fails to
    load, and fix how we call these subs (CPAN RT#92770, CPAN RT#86394,
    CPAN RT#92791)
  - Bump minimum prereq needed for optional test using MooseX::NonMoose (which
    broke with new Module::Runtime), so users can install Moose and pass tests
    before updating MooseX::NonMoose
  - Line numbers in shipped code are now almost the same (within 3) as the
    repository source, for easier debugging
- Update patches as needed

* Mon Jan 20 2014 Paul Howarth <paul@city-fan.org> - 2.1202-1
- Update to 2.1202
  - String comparisons are now possible with Moose exceptions (CPAN RT#92232)

* Thu Jan 16 2014 Paul Howarth <paul@city-fan.org> - 2.1201-2
- Don't BR: perl(Test::Kwalitee) or perl(Test::Spelling) when bootstrapping

* Sun Jan 12 2014 Paul Howarth <paul@city-fan.org> - 2.1201-1
- Update to 2.1201
  - Re-release to index pod files (Moose::Cookbook::*, Moose::Manual::* etc.)

* Tue Jan  7 2014 Paul Howarth <paul@city-fan.org> - 2.1200-1
- Update to 2.1200
  Deprecations:
  - Class::MOP::load_class, Class::MOP::is_class_loaded, and
    Class::MOP::load_first_existing_class are now deprecated; see
    Moose::Manual::Delta for details
  - The non-arrayref forms of enum and duck_type have been deprecated; see
    Moose::Manual::Delta for details
  Bug Fixes:
  - Many deprecated features have now been removed:
    - optimize_as for type constraints
    - The "default is" and "default default" features for native delegations
    - Setting coerce => 1 on an attribute whose type constraint has no coercion
    - The public version of Moose::Meta::Method::Destructor::initialize_body
  - die if a role to consume can't be found - this restores behaviour as in
    2.1005
  - Fix test to accomodate Devel::PartialDump possibly not being installed
  - Class::MOP::Object::_inline_throw_error is back, used by some MooseX
    modules
  - Legacy throw_error now takes multiple arguments, like confess does
  - throw_error import cleaned from Moose::Object after use
  - Resolved new circular load issue between Moose::Util and Class::MOP
    (CPAN RT#89713 and PR#42)
  Enhancements:
  - Creating classes with Moose now always sets the appropriate entry in %%INC,
    even if it wasn't loaded from a file, which should make writing classes
    inline easier, and will allow us to be more intelligent about figuring out
    when classes are loaded in the future; see Moose::Manual::Delta for more
    details (note that this is slightly backwards-incompatible in some edge
    cases)
  - Moose now uses Module::Runtime instead of Class::Load to load classes,
    which means that there are no more issues with the weird heuristics that
    Class::Load does to determine if a class was previously loaded (inheriting
    from an empty package is now possible, for instance); see
    Moose::Manual::Delta for more details (note that this is also slightly
    backwards-incompatible in some edge cases)
  - Moose string exceptions have been replaced by Moose::Exception objects; see
    Moose::Manual::Delta for details
  Other:
  - Many additions to the list of conflicting modules (those that require
    updates after installing Moose), reflecting recent API changes
  - Now failing early at build time, with a useful error message, if a
    compiler is not available
  - Fixed distribution manifest
  - Minor documentation and metadata updates
- Update patches as needed
- Instead of making extensive changes to the test suite to accomodate old
  versions of Test::More, bundle a suitably-recent version to use if necessary
- Don't ship the tests any more

* Wed Aug  7 2013 Paul Howarth <paul@city-fan.org> - 2.1005-1
- Update to 2.1005
  - add_method now accepts blessed subs (PR#28)
  - If a role consumed another role, we resolve method conflicts just like a
    class consuming a role, but when metaclass compat tried to fix up
    metaclass roles, we were putting all methods into one composite role and
    allowing methods in the metaclass roles to conflict; now we resolve them
    as we should (PR#27)
  - Some edge cases in tests with base.pm and non-existent module files are
    handled more strictly (see also Perl RT#118561) (PR#25)
- BR: perl(CPAN::Meta::Check) ≥ 0.007 and perl(Test::CheckDeps) ≥ 0.002
- Update patches as needed

* Sat Jul 27 2013 Paul Howarth <paul@city-fan.org> - 2.1004-1
- Update to 2.1004
  - The with_immutable() sub from Test::Moose now passes a boolean value to the
    code block containing tests indicating whether or not the classes have been
    made immutable, which can make for nicer test descriptions
  - You can now use Specio types instead of Moose builtins or MooseX::Types; as
    a bonus, Specio types inline coercion (this support is still experimental,
    as is Specio, so use it with care)
- Drop buildreq perl(Test::CheckDeps) and associated patch
- Update patches as needed

* Wed Jul 24 2013 Paul Howarth <paul@city-fan.org> - 2.1001-2
- Perl 5.18 rebuild

* Sat May 25 2013 Paul Howarth <paul@city-fan.org> - 2.1001-1
- Update to 2.1001
  - Fixed the Num builtin type to reject NaN, Inf, numbers with whitespace,
    and other questionable strings (CPAN RT#70539); MooseX::Types::LaxNum
    contains the old behaviour
- BR: perl(Test::CheckDeps)
- Update patches as needed
- Add new patches to work around issues with the dependency-check test

* Wed May  8 2013 Paul Howarth <paul@city-fan.org> - 2.0802-1
- Update to 2.0802
  - Fix incompatibilities with Test::Builder 1.005+
  - Moose::Manual::Contributing updated to reflect the change of primary
    repository from git.moose.perl.org to github.com
- Update patches as needed
- doap.rdf no longer shipped upstream
- Package new Moose::Conflicts manpage

* Fri Mar 29 2013 Paul Howarth <paul@city-fan.org> - 2.0801-1
- Update to 2.0801
  Bug Fixes:
  - Properly apply traits at compile time (error introduced in 2.0800,
    CPAN RT#77974)

* Thu Mar 28 2013 Paul Howarth <paul@city-fan.org> - 2.0800-1
- Update to 2.0800
  Enhancements:
  - The super() subroutine now carps if you pass it arguments; these arguments
    are always ignored, but we used to ignore them silently (CPAN RT#77383)
  - Roles can now override methods from other roles they consume directly,
    without needing to manually exclude them (just like classes can)
  Bug Fixes:
  - Fix false positive when checking for circular references for modules that
    use the "also" parameter with Moose::Exporter (CPAN RT#63818)
  - Fix memory leak in type unions (CPAN RT#83929)
- This release by ETHER → update source URL
- Update patches as needed

* Sat Feb 23 2013 Paul Howarth <paul@city-fan.org> - 2.0604-2
- Update spelling patch as we're finding more unfamiliar words in the POD now

* Thu Sep 20 2012 Paul Howarth <paul@city-fan.org> - 2.0604-1
- Update to 2.0604
  Bug Fixes:
  - Fix nonsensical error message for inlined accessors of required attributes
  - Stop trying to localize a lexical (CPAN RT#79257, Perl RT#114628)
  Other:
  - Depend on a version of Carp new enough to have caller_info (CPAN RT#79367)
- Update patches to reflect moved author/release test locations
- Explicitly run the release tests but not the author tests
- BR: perl(Carp)

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 2.0603-2
- Perl 5.16 post-bootstrap rebuild

* Thu Jun 28 2012 Paul Howarth <paul@city-fan.org> - 2.0603-1
- Update to 2.0603
  Bug Fixes:
  - Fix test failure in blead (CPAN RT#78085)
- update patches as necessary

* Tue May  8 2012 Paul Howarth <paul@city-fan.org> - 2.0602-1
- Update to 2.0602
  Bug Fixes:
  - Ensure that the Moose::Exporter-generated init_meta returns the same value
    that it did previously; this isn't really a bug, since the return value has
    never been tested or documented, but since the generated init_meta is
    nothing more than a compatibility shim at this point, there's no reason to
    not make it as compatible as possible

* Tue May  1 2012 Paul Howarth <paul@city-fan.org> - 2.0601-1
- Update to 2.0601
  Bug Fixes:
  - Fix init_meta order when multiple also packages are specified (this matters
    when one of them is being used to actually initialize the metaclass,
    typically with also => 'Moose')
- Update patches as necessary

* Mon Apr 30 2012 Paul Howarth <paul@city-fan.org> - 2.0600-1
- Update to 2.0600
  New features:
  - Class::MOP::Class now has methods for introspecting and modifying the
    overloaded operators for a class
  Enhancements:
  - The cookbook recipes have all been renamed; instead of numbered recipes
    (Basics::Recipe1), we now have descriptive names
    (Basics::Point_AttributesAndSubclassing), which makes it easier for us to
    add and remove recipes in the future, and makes it a little easier to
    converse about them, since the name gives us some clue of what they
    contain
  Bug Fixes:
  - Re-declaring a class_type or role_type constraint that has already been
    declared now just returns the original type constraint, rather than
    replacing the original constraint and ergo losing any coercions that were
    on the original constraint (CPAN RT#73289)
  - Moose::Exporter now calls init_meta methods in the correct order, when
    multiple levels of 'also' parameters are specified
  - Moose::Exporter no longer generates init_meta methods in order to apply
    metaroles, since the metaclass itself isn't guaranteed to exist yet at that
    point; metaroles are now applied at the end of import, after all
    user-defined init_meta methods have been called (CPAN RT#51561)
  - Fixed a memory leak that occurred when creating an anonymous class;
    immutabilizing an anonymous class still leaks memory due to a bug in
    Eval::Closure, which should hopefully be fixed soon (CPAN RT#74650)
  - Fix a segfault when adding a method to a class that was defined in a
    package that was deleted
  - Avoid syntax errors on pre-5.14
  Other:
  - The Test::DependentModules test now covers a much wider range of downstream
    dependents (all of them in fact, for some definition of "all"), which
    should allow us to track inadvertent backwards compatibility breakages much
    more effectively
  - A few test tweaks to avoid spurious failures
- Package manpage for Class::MOP::Method::Overload
- BR: perl(Data::Dumper)
- Update patches as necessary

* Tue Apr  3 2012 Paul Howarth <paul@city-fan.org> - 2.0403-1
- Update to 2.0403 (no functional changes)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Thu Mar  1 2012 Paul Howarth <paul@city-fan.org> - 2.0402-3
- Drop patch for old Params::Util versions and BR: perl(Params::Util) ≥ 1.00

* Mon Feb 20 2012 Paul Howarth <paul@city-fan.org> - 2.0402-2
- BR: perl(Data::Visitor) where possible
- BR: perl(PadWalker)

* Sat Feb  4 2012 Paul Howarth <paul@city-fan.org> - 2.0402-1
- Update to 2.0402
  - Minor documentation fixes
  - Fix test failure on blead (test was unnecessarily strict)

* Tue Jan 24 2012 Paul Howarth <paul@city-fan.org> - 2.0401-2
- Rebuild

* Thu Nov 17 2011 Paul Howarth <paul@city-fan.org> - 2.0401-1
- Update to 2.0401
  Bug Fixes:
  - Attributes with weak_ref now weaken their associated slot when they are
    initialized through a lazy default or builder
- Update patch for building with Test::More < 0.88

* Wed Nov 16 2011 Paul Howarth <paul@city-fan.org> - 2.0400-1
- Update to 2.0400
  Deprecations:
  - The optimize_as option for type constraints has been deprecated; use the
    inline_as option to provide inlining code instead
  API Changes:
  - Methods to introspect a class's methods will now return methods defined in
    UNIVERSAL (isa, can, etc.); this also means that you can wrap these
    methods with method modifiers (CPAN RT#69839)
  - The ->parent and ->parents method for a union now return the nearest
    common ancestor of that union's component types; see Moose::Manual::Delta
    for more details
  - The ->parents method used to return an arrayref for union types, and a
    list of one or more types for all other types; now they all return
    lists
  - The ->is_subtype_of and ->is_a_type_of methods have changed their behaviour
    for union types: previously, they returned true if any of their member
    types returned true for a given type, but now all of the member types must
    return true (CPAN RT#67731)
  Enhancements:
  - The Moose::Exporter module now has a "meta_lookup" option when creating an
    importer; this allows you to specify an alternate method for determining
    the metaclass of a caller, which is useful for modules like
    MooseX::Role::Parameterized that generate new metaclasses on the fly
  - Added a Moose::Meta::Method->is_stub method
  - The enum type will now allow single value enumerations; previously, two or
    more values were required
  Bug Fixes:
  - A subtype of a union type did not return the right results when you called
    ->is_subtype_of or ->is_a_type_of on it (CPAN RT#70322)
  - An attribute accessor or delegation method can overwrite a stub method and
    this will no longer throw an error (CPAN RT#69988)
  - The error generated by unfulfilled method requirements during role
    composition now mentions how to work around imported methods not being
    recognized (CPAN RT#60583)
  - class_type and role_type will now throw errors if you attempt to use them
    to override existing types, just like type and subtype have always done
  - Implicitly creating class or role types by using them as the 'isa' or
    'does' parameter to attribute construction will now register the type,
    which means that it cannot later be redefined as something else
  - $class_type->is_subtype_of no longer returns true if passed the name of the
    class that the class type represents when the class type wasn't registered
  - Removing anonymous metaclasses prematurely no longer prevents reaping of
    the associated stash
  - A custom error class caused a warning when the class that used it was made
    immutable (CPAN RT#71514)
  - Make make_immutable return value consistent and document it to be true
  Other:
  - The Class::MOP::load_class and Class::MOP::is_class_loaded subroutines are
    no longer documented, and will cause a deprecation warning in the
    future; Moose now uses Class::Load to provide this functionality, and you
    should as well
- BR/R: perl(Class::Load) ≥ 0.09
- BR/R: perl(Class::Load::XS) ≥ 0.01
- BR: perl(Test::EOL) and perl(Test::Pod) ≥ 1.41 for additional test coverage
- Bump version requirements for Package::Stash and Package::Stash::XS to 0.32
  and 0.24 respectively
- Update patches to apply cleanly

* Sun Oct  9 2011 Paul Howarth <paul@city-fan.org> - 2.0205-2
- Add virtual provides for perl-Any-Moose

* Wed Sep  7 2011 Paul Howarth <paul@city-fan.org> - 2.0205-1
- Update to 2.0205
  - The Array and Hash native traits now provide a "shallow_clone" method,
    which will return a reference to a new container with the same contents as
    the attribute's reference
  - Specifying an invalid value in a hashref 'handles' value now throws a
    sensible error
  - When specifying an attribute trait, passing options for the trait besides
    -alias or -excludes caused a warning; however, passing other options is
    totally valid when using MooseX::Role::Parameterized
  - Allow regexp objects in duck_type constraints (to bring this in line with
    the Object constraint)
- This release by DOY → update source URL
- Update patch for old Test::More versions
- Update patch for building without Test::Requires
- Update spelling patch to apply cleanly

* Fri Aug 26 2011 Paul Howarth <paul@city-fan.org> - 2.0204-1
- Update to 2.0204
  - Validating duck_type type constraint turned out to work only by accident,
    and only when not running under the debugger; this has been fixed
  - Loosen the dependency on ExtUtils::ParseXS
- This release by FLORA → update source URL

* Wed Aug 24 2011 Paul Howarth <paul@city-fan.org> - 2.0203-1
- Update to 2.0203
  - is_class_loaded now properly detects packages that have a version object
    in their $VERSION
  - Fix XS compilation under blead
- Only use one set of provides/requires filters in any one build, even though
  the old and new styles shouldn't interfere with each other
- Simplify version-testing code

* Tue Jul 26 2011 Paul Howarth <paul@city-fan.org> - 2.0202-2
- Rebuild for perl 5.14.1 in Rawhide

* Tue Jul 26 2011 Paul Howarth <paul@city-fan.org> - 2.0202-1
- Update to 2.0202
  Bug Fixes:
  - Be more consistent about how type constraint messages are handled

* Fri Jul 22 2011 Paul Howarth <paul@city-fan.org> - 2.0201-1
- Update to 2.0201
  Bug Fixes:
  - Moose::Util::does_role shouldn't call ->does on things that don't inherit
    from Moose::Object
  - Make ->does initialize the metaclass, so that calling it as a class method
    on a class that sets up inheritance via some method other than extends
    works properly (this fixes an issue with MooseX::Types)
  - Make Dist::CheckConflicts a runtime requirement, so moose-outdated always
    works
- Update patch for old Test::More versions

* Tue Jul 19 2011 Paul Howarth <paul@city-fan.org> - 2.0200-1
- Update to 2.0200
  Deprecations:
  - Using a hand-optimized type constraint is now deprecated
  - Several things that have been deprecated for a while have been removed; see
    the 2.0000 section in Moose::Manual::Delta for details
  New Features:
  - Type constraints can now provide inlined versions, which should make
    inlined code that uses type constraints (such as accessors) faster; this
    replaces the existing hand-optimized constraint feature
  - New Moose::Util::TypeConstraints::union function for creating union type
    constraints without having to rely on the string type constraint parsing;
    this also allows for creating unions of anonymous type constraints
  Enhancements:
  - Remove a lot of cases where generated methods closed over meta objects;
    most simple cases should now only close over simple data types and
    coderefs, which should make deparsing simpler
  - The native Array trait now has a 'first_index' method, which works just
    like the version in List::MoreUtils
  - Clean up some internal code to help out extensions
  - Moose::Util::does_role now respects overridden ->does methods
  Other:
  - Various packaging issues
- Add support for perl_bootstrap macro
- Update virtually all patches
- Rewrite patch for old Scalar::Util versions
- Modernize dependency filtering
- Filter dependencies on private modules Moose::Conflicts and
  Moose::Error::Util instead of adding dubious provides for them
- Filter provides for documentation such as the Cookbook and FAQ
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Jun 20 2011 Paul Howarth <paul@city-fan.org> - 2.0010-1
- Update to 2.0010
  - Fix regression in 2.0009 when applying roles during init_meta in an
    exporter that also re-exports Moose or Moose::Role

* Sun Jun 19 2011 Paul Howarth <paul@city-fan.org> - 2.0009-1
- Update to 2.0009
  - duck_type type constraints now report reasonable errors when given
    something which isn't an instance of an object
  - Moose::Util::apply_all_roles now works even if the applicant is a non-Moose
    class
  - When an object is reblessed, triggers are called on attributes that are
    set during the reblessing
  - Better error message if Moose->init_meta is called with a 'metaclass'
    option when that metaclass hasn't been loaded
- Update patches for old Params::Util and Test::More compatibility, and for
  missing Test::Requires

* Fri Jun 17 2011 Paul Howarth <paul@city-fan.org> - 2.0008-1
- Update to 2.0008
  - The 'accessor' native delegation for hashrefs now allows setting the value
    to undef
  - Various generated methods have more useful context information
- This release by DOY → update source URL
- Update patches for old Test::More compatibility

* Sun May 15 2011 Paul Howarth <paul@city-fan.org> - 2.0007-1
- Update to 2.0007
  - Make sure weak attributes remain weak when cloning
- This release by FLORA → update source URL
- Update patch for old Test::More versions

* Tue May 10 2011 Paul Howarth <paul@city-fan.org> - 2.0006-1
- Update to 2.0006
  - Revert the List::MoreUtils version bump, as it breaks backwards
    compatibility; the dependency will be bumped with Moose 2.0200
- Bump List::MoreUtils version requirement back down to 0.12

* Mon May  9 2011 Paul Howarth <paul@city-fan.org> - 2.0005-1
- Update to 2.0005
  - Only sort the alias keys when determining caching

* Mon May  9 2011 Paul Howarth <paul@city-fan.org> - 2.0004-1
- Update to 2.0004
  Bug Fixes:
  - Applying multiple role objects (rather than role names) at once no longer
    skips every other role
  - Caching of anon classes now works more sanely in the presence of role
    application parameters - alias and excludes options are taken into account,
    and caching is disabled entirely if other parameters exist; asking for
    caching (instead of just not weakening) when parameters are given will
    begin warning in Moose 2.0200
  - Bump the List::MoreUtils dep to avoid buggy behavior in old versions
  - Sort the list of roles and the alias and excludes parameters when
    determining caching, since their order doesn't matter
- Update patches for building with old Params::Util and Test::More versions
- Bump List::MoreUtils version requirement to 0.28

* Mon May  9 2011 Paul Howarth <paul@city-fan.org> - 2.0002-3
- BR: perl(MooseX::NonMoose) for extra test coverage; will need to drop this
  to bootstrap new builds in future
- Rediff some patches to avoid backup files in package

* Tue May  3 2011 Paul Howarth <paul@city-fan.org> - 2.0002-2
- Rebuild

* Fri Apr 29 2011 Paul Howarth <paul@city-fan.org> - 2.0002-1
- Update to 2.0002
  Enhancements:
  - Provide definition context information for constructors and destructors, so
    that they will show up as something other than "generated method (unknown
    origin)"; also, add the package that accessors are defined in to their
    definition context
  - Use Devel::PartialDump in type constraint error messages, if it is
    installed.
  Bug Fixes:
  - Stop hiding warnings produced by throwing errors in DEMOLISH methods
  - The 'reset' native delegation for Counter attributes will now also respect
    builders (previously, it only respected defaults)
- R: perl(Devel::PartialDump) ≥ 0.14
- Update patches where necessary

* Wed Apr 27 2011 Paul Howarth <paul@city-fan.org> - 2.0001-4
- Add explicit perl(Dist::CheckConflicts) requirement

* Tue Apr 26 2011 Paul Howarth <paul@city-fan.org> - 2.0001-3
- Rebuild with new Eval::Closure, Test::Fatal and Test::Spelling

* Sun Apr 24 2011 Paul Howarth <paul@city-fan.org> - 2.0001-2
- Obsolete/provide perl-Class-MOP-tests

* Sat Apr 23 2011 Paul Howarth <paul@city-fan.org> - 2.0001-1
- Update to 2.0001
  Enhancements:
  - Anonymous classes and roles now have a unified implementation in
    Class::MOP::Package; this means that anonymous packages are now also
    possible
  Bug Fixes:
  - No longer call XSLoader from multiple places, as this causes issues on
    older perls
  - Moose::Meta::Role->create now accepts the 'roles' parameter, as it was
    documented to
  - Depend on Eval::Closure 0.04, which fixes some issues in mod_perl
    environments

* Tue Apr 12 2011 Paul Howarth <paul@city-fan.org> - 2.0000-1
- Update to 2.0000
  API Changes:
  - Roles now have their own default attribute metaclass to use during
    application to a class, rather than just using the class's
    attribute_metaclass; this is also overridable via ::MetaRole, with the
    applied_attribute key in the role_metaroles hashref
  - The internal code used to generate inlined methods (accessor, constructor,
    etc.) has been massively rewritten; MooseX modules that do inlining will
    almost certainly need to be updated as well
  - The RegexpRef type constraint now accepts regular expressions blessed into
    other classes, such as those found in pluggable regexp engines
  - The 'Object' constraint no longer rejects objects whose implementation is a
    regular expression
  New Features:
  - The Moose::Meta::Role::Attribute class now has an original_role method,
    which returns the role that first defined an attribute
  - Moose::Util::MetaRole will make sure that the class to which you're
    applying metaroles or base class roles can actually have them applied; if
    not (it's not a Moose class, it has a non-Moose metaclass, etc.), then it
    gives a useful error message
  Enhancements:
  - We now load the roles needed for native delegations only as needed, which
    speeds up the compilation time for Moose itself
  Bug Fixes:
  - Reverse the order that Moose::Exporter 'also' exports are dispatched; when
    trying to re-export from a package that itself exported a modified set of
    Moose sugar, you'd get the original Moose sugar instead of the overrides
  - Don't initialize lazy attributes with defaults in the constructor (for
    immutable classes)
  - When reinitializing meta objects for classes and roles, we failed to
    preserve roles and role applications, which led to weird bugs
  - Reinitializing anonymous roles used to accidentally clear out the role's
    stash in some circumstances
  - The Int type constraint now rejects integers with trailing newlines
  - When a role had its own applied_attribute metaclass (usually from MetaRole
    application), that metaclass would get lost when that role participated in
    role composition; it was also lost if that role was consumed by some other
    role - both of these cases have been fixed; attributes are always applied
    with the applied_attribute metaclass of the role that originally defined
    them
  Other:
  - The entire Class::MOP distribution has been merged with Moose; in the
    future, the Class::MOP code itself will be merged into Moose, and
    eventually the Class::MOP namespace will disappear entirely, but for the
    current release, we have simply changed how Class::MOP is distributed
  - Switched to Dist::Zilla for development
  - Fix some indexing issues
  - Fix a few issues with the conflict checking stuff
  - Fix generation of CCFLAGS
  - Update conflicts list
  - Moose::Manual::Support now explicitly states when major releases are
    allowed to happen (January, April, July, or October)
- This release by DOY → update source URL
- Update all patches
- Add patch to support building with ExtUtils::MakeMaker < 6.31
- Add patch to suppress 'Subroutine redefined' warnings with perl < 5.8.8
- BR/R: perl(Eval::Closure)
- Obsolete/provide perl-Class-MOP to avoid conflicts on upgrade
- Drop dependencies on perl(Class::MOP)
- Inherit various dependencies from Class::MOP
- Specify version requirements for many modules
- Explicitly provide perl(Moose::Conflicts), not automatically detected by rpm

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> - 1.25-1
- Update to 1.25
  - Reinitializing anonymous roles used to accidentally clear out the role's
    stash in some circumstances
- Update old Test::More patch
- Nobody else likes macros for commands

* Wed Feb 23 2011 Paul Howarth <paul@city-fan.org> - 1.24-1
- Update to 1.24
  - Reverse the order that Moose::Exporter 'also' exports are dispatched
- Update old Test::More patch

* Tue Feb 15 2011 Paul Howarth <paul@city-fan.org> - 1.23-1
- Update to 1.23
  - When reinitializing meta objects for classes and roles, we failed to
    preserve roles and role applications, which led to weird bugs
- Update spelling and old Test::More patches
- Filter more doc-file dependencies

* Sun Feb 13 2011 Paul Howarth <paul@city-fan.org> - 1.21-2
- Update spelling patch as dictionary coverage seems to have gone down in
  Rawhide

* Thu Nov 25 2010 Paul Howarth <paul@city-fan.org> - 1.21-1
- Update to 1.21
  - Support manual updated to reflect new major/minor version policy
  - Contributing manual updated to reflect workflow changes based on this new
    support policy
  - The role attribute metaclass did not inherit from Class::MOP::Object, which
    could cause errors when trying to resolve metaclass compatibility issues
  - The lazy_build feature was accidentally removed from all of the docs; now
    it's listed in Moose.pm again
- Update spelling and old Test::More patches

* Fri Nov 19 2010 Paul Howarth <paul@city-fan.org> - 1.20-1
- Update to 1.20
  - When using native delegations, if an array or hash ref member failed a type
    constraint check, Moose ended up erroring out with `Can't call method
    "get_message" on unblessed reference' instead of generating a useful error
    based on the failed type constraint (CPAN RT#63113)
- Update patch for old Test::More versions

* Tue Nov  2 2010 Paul Howarth <paul@city-fan.org> - 1.19-1
- Update to 1.19
  - There was still one use of Test::Exception rather than Test::Fatal
- Drop buildreq perl(Test::Exception), no longer needed

* Mon Nov  1 2010 Paul Howarth <paul@city-fan.org> - 1.18-1
- Update to 1.18
  - Type constraint objects now have an assert_coerce method that will either
    return a valid value or throw an error
  - Warn when an accessor for one attribute overwrites an accessor for another
    attribute (CPAN RT#57510)
  - The native Array and Hash delegation methods now coerce individual new
    members if the _member type_ has a coercion (CPAN RT#62351)
  - An attribute using native delegations did not always properly coerce and
    type check a lazily set default value
  - Using a regexp to define delegations for a class that was not yet loaded
    did not actually work, but did not explicitly fail, though it caused an
    error when the class was loaded later (CPAN RT#60596)
  - Attempting to delegate to a class or role that is not yet loaded will now
    throw an explicit error
  - Attempting to set lazy_build in an inherited attribute was ignored
    (CPAN RT#62057)
  - The Moose test suite now uses Test::Fatal instead of Test::Exception
- Bump Class::MOP requirement to 1.11
- Update patches for Scalar::Util, Test::Requires and Test::More
- BR: perl(Test::Fatal) [Test::Exception is still needed]

* Tue Oct 19 2010 Paul Howarth <paul@city-fan.org> - 1.17-1
- Update to 1.17
  - Make native delegation inlining work with instance metaclasses where slot
    access is a do {} block, like Kioku
- Update patches
- Remove spurious exec permissions from tests

* Tue Oct 19 2010 Paul Howarth <paul@city-fan.org> - 1.16-1
- Update to 1.16
  - Almost every native delegation method that changes the attribute value now
    has an explicitly documented return value, which generally matches what
    Perl would return for the same operation
  - Lots of work on native delegation documentation
  - Passing an odd number of args to ->new() now gives a more useful warning
  - Experimentally allow disabling stack traces by setting an env var
  - The deprecation warning for using alias and excludes without a leading
    dash now tells you the role being applied and what it was being applied to
  - A number of native trait methods which expected strings as arguments did
    not allow the empty string (CPAN RT#61962)
  - 'no Moose' no longer inadvertently removes imports it didn't create itself
    (CPAN RT#60013)
  - Roles now support passing an array reference of method names to method
    modifier sugar functions
  - Native traits no longer use optimized inlining routines if the instance
    requests it (in particular, if inline_get_slot_value doesn't return
    something that can be assigned to)
  - We now ignore all Class::MOP and Moose classes when determining what
    package called a deprecated feature, which should make the deprecation
    warnings saner, and make it possible to turn them off more easily
  - The deprecated "default is" warning no longer happens if the attribute has
    any accessor method defined (accessor, reader, writer)
  - The "default default" code for some native delegations no longer issues a
    deprecation warning when the attribute is required or has a builder
  - Setting a "default default" caused a fatal error if you used the builder
    or lazy_build options for the attribute (CPAN RT#59613)
- Bump Class::MOP requirement to 1.10
- Drop POD patch, no longer needed
- Update patches

* Wed Oct  6 2010 Paul Howarth <paul@city-fan.org> - 1.15-1
- Update to 1.15
  - Major changes to Native Traits, most of which make them act more like
    "normal" attributes (see Moose::Manual::Delta for details)
  - A few native traits (String, Counter, Bool) provide default values of "is"
    and "default" when you created an attribute; allowing them to provide
    these values is now deprecated
  - New option 'trait_aliases' for Moose::Exporter, which will allow you to
    generate non-global aliases for your traits (and allow your users to
    rename the aliases, etc.)
  - 'use Moose' and 'use Moose::Role' now accept a '-meta_name' option, to
    determine which name to install the 'meta' name under; passing 'undef'
    to this option will suppress generation of the meta method entirely
  - Moose now warns if it overwrites an existing method named "meta" in your
    class when you "use Moose"
  - Native trait delegations are now all generated as inline code
  - Reinitializing a metaclass no longer removes the existing method and
    attribute objects (it instead fixes them so they are correct for the
    reinitialized metaclass), which should make the order of loading many
    MooseX modules less of an issue
  - The Moose::Manual docs have been revised and updated
  - If an attribute was weak, setting it to a non-ref value after the object
    was constructed caused an error; now we only call weaken when the new
    value is a reference
  - t/040_type_constraints/036_match_type_operator.t failed on 5.13.5+
- Update patches
- Bump Class::MOP requirement to 1.09
- Add patch to fix broken POD
- Add patch to work with old Params::Util versions that don't have _REGEX

* Fri Oct  1 2010 Paul Howarth <paul@city-fan.org> - 1.14-2
- Rebuild for gcc bug (#634757)

* Tue Sep 21 2010 Paul Howarth <paul@city-fan.org> - 1.14-1
- Update to 1.14
  - Work around what looks like a bug in List::MoreUtils::any, which caused a
    weird error when defining the same union type twice, but only when using
    MooseX::Types (CPAN RT#61001)

* Tue Sep 14 2010 Paul Howarth <paul@city-fan.org> - 1.13-1
- Update to 1.13
  - The deprecation warnings for alias and excludes are back: use -alias and
    -excludes instead
  - When composing one role into another and there is an attribute conflict,
    the error message now includes the attribute name (CPAN RT#59985)
  - When a class is made immutable, the does_role method is overridden with a
    much faster version that simply looks role names up in a hash; code that
    uses lots of role-based type constraints should be faster
- Update old Test::More and no Test::Requires patches

* Sat Aug 28 2010 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12
  - An attribute in a subclass can now override the value of "is"
  - Deprecation warnings for alias and excludes have been turned back off for
    this release, to give other module authors a chance to tweak their code
  - mro::get_linear_isa was being called as a function rather than a method,
    which caused problems with Perl 5.8.x
  - union types always created a type constraint, even if their constituent
    constraints did not have any coercions; this bogus coercion always
    returned undef, which meant that a union which included Undef as a member
    always coerced bad values to undef (CPAN RT#58411)
  - union types with coercions would always fall back to coercing the value to
    undef (unintentionally); now if all the coercions for a union type fail,
    the value returned by the coercion is the original value that we attempted
    to coerce
  - Fix the MANIFEST (CPAN RT#60831)
- Update old Test::More patch
- BR: Test::Requires if viable
- Add new patch to remove usage of Test::Requires from test suite if necessary

* Mon Aug 23 2010 Paul Howarth <paul@city-fan.org> - 1.10-1
- Update to 1.10
  - The long-deprecated alias and excludes options for role applications now
    issue a deprecation warning; use -alias and -excludes instead
  - Inlined code no longer stringifies numeric attribute defaults
  - default => undef now works properly
  - Enum type constraints now throw errors if their values are nonsensical
  - Optimizations that should help speed up compilation time
- Bump Class::MOP dependency to 1.05
- Update old Test::More patch
- Permissions in upstream files no longer need fixing

* Mon Jul 26 2010 Paul Howarth <paul@city-fan.org> - 1.09-1
- Update to 1.09 (see Changes for details)
- This release by DROLSKY → update source URL
- Bump Class::MOP requirement to 1.04
- Package Moose::Deprecated manpage
- Update old Test::More and spelling patches

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.08-2
- Rebuild for perl 5.12.1 in Rawhide

* Wed Jun 16 2010 Paul Howarth <paul@city-fan.org> - 1.08-1
- Update to 1.08 (refactored a small amount of
  Moose::Meta::Method::Constructor to allow it to be overridden more easily)
- This release by DOY → update source URL
- Update old Test::More and spelling patches

* Mon Jun  7 2010 Paul Howarth <paul@city-fan.org> - 1.07-1
- Update to 1.07 (fixed a minor metaclass compatibility fixing bug dealing
  with immutable classes and non-class metaclass traits)
- Update old Test::More patch

* Wed Jun  2 2010 Paul Howarth <paul@city-fan.org> - 1.06-1
- Update to 1.06 (added '0+' overloading in Moose::Meta::TypeConstraint so
  that we can more uniformly compare type constraints between 'classic' Moose
  type constraints and MooseX::Types based type constraints)
- Update old Test::More patch

* Fri May 21 2010 Paul Howarth <paul@city-fan.org> - 1.05-1
- update to 1.05
  - Packages and modules no longer have methods
  - BUILDALL called by Moose::Meta::Class::new_object, not Moose::Object::new
  - strict and warnings are unimported if Moose{,::Role,::Exporter} unimported
  - Add a 'consumers' method to Moose::Meta::Role
  - Fix has '+attr' in Roles to explode immediately
  - Fix duplicate 'failed' in type constraint validation messages
  - New type constraints will default to being unequal
  - Tests no longer check for perl's behavior of clobbering $@
  - Metaclass compatibility fixing has been completely rewritten for robustness
- Bump Class::MOP version requirement to 1.02
- Update old Test::More and spelling patches

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> - 1.03-2
- fix dist tag for RHEL-6 Beta

* Thu May  6 2010 Paul Howarth <paul@city-fan.org> - 1.03-1
- Update to 1.03 (allow specifying required versions when setting superclasses
  or applying roles)
- Bump Class::MOP version requirement to 1.01
- Update old Test::More and spelling patches

* Mon May  3 2010 Paul Howarth <paul@city-fan.org> - 1.02-1
- Update to 1.02
  - Fix natatime method when called with a callback
  - Make Moose::Meta::TypeConstraint::Class correctly reject RegexpRefs
  - Fix is_subtype_of behaviour for Moose::Meta::TypeConstraint::Class
  - Use File::Temp for temp files created during tests
  - Pass role arguments along when applying roles to instances
- Update spelling patch
- Update old Test::More patch

* Fri Mar 26 2010 Paul Howarth <paul@city-fan.org> - 1.01-1
- Update to 1.01 (the handles option now also accepts a role type constraint
  in addition to a plain role name)
- This release made by FLORA → fix source URL
- Update old-Test::More and spelling patches

* Fri Mar 26 2010 Paul Howarth <paul@city-fan.org> - 1.00-1
- Update to 1.00 (Moose::Meta::Attribute::Native::Trait::Code no longer
  creates reader methods by default; improve various parts of the
  documentation and fix many typos)
- This release by STEVAN → update source URL
- Update old-Test::More patch
- Update spelling patch to "fix" GB English spelling so that the spelling
  check passes (most of the module is written in US English)

* Tue Mar  9 2010 Paul Howarth <paul@city-fan.org> - 0.99-1
- Update to 0.99
  - New method find_type_for in Moose::Meta::TypeConstraint::Union
  - Fixed DEMOLISH methods for mutable subclasses of immutable classes
  - Added Moose::Manual::Support documentation
- This release made by FLORA → fix source URL
- Drop upstreamed NoTabs patch
- Update old-Test::More patch
- Update old-Scalar::Util patch to remove fuzz

* Thu Feb 11 2010 Paul Howarth <paul@city-fan.org> - 0.98-1
- Update to 0.98 (fix role application to an instance)
- Update old-Test::More patch
- Re-enable POD spelling test, adding patch to improve dictionary coverage

* Wed Feb 10 2010 Paul Howarth <paul@city-fan.org> - 0.97-1
- Update to 0.97
  - fix ->reinitialize on a cached anonymous class, which destroyed the cache
- This release made by DROLSKY → fix source URL
- Add patch to fix NoTabs test
- Update old-Test::More patch
- Buildreq perl(Pod::Coverage) ≥ 0.20 necessary for pod_coverage test

* Sun Feb  7 2010 Paul Howarth <paul@city-fan.org> - 0.96-1
- Update to 0.96
  - ScalarRef is now a parameterized type (addresses CPAN RT#50857)
  - ScalarRef now accepts references to other references (CPAN RT#50934)
- Update old-Test::More patch

* Thu Feb  4 2010 Paul Howarth <paul@city-fan.org> - 0.95-1
- Update to 0.95
  - Moose::Meta::Attribute::Native::Trait::Code now provides execute_method
  - Moose::Object::does no longer checks the entire inheritance tree
  - Moose::Util::add_method_modifier etc. can now accept arrayrefs
- New upstream maintainer → new source URL
- BR: perl(DateTime::Format::MySQL) for better test coverage
- Update old-Test::More patch

* Mon Feb  1 2010 Paul Howarth <paul@city-fan.org> - 0.94-4
- Add buildreqs perl(DBM::Deep), perl(Declare::Constraints::Simple), and
  perl(Test::NoTabs) for better test coverage

* Fri Jan 29 2010 Paul Howarth <paul@city-fan.org> - 0.94-3
- Add buildreqs perl(DateTime::Calendar::Mayan), perl(Locale::US) and
  perl(Params::Coerce) for better test coverage

* Fri Jan 22 2010 Paul Howarth <paul@city-fan.org> - 0.94-2
- Add buildreqs perl(DateTime), perl(HTTP::Headers), perl(Module::Refresh)
  for better test coverage

* Tue Jan 19 2010 Paul Howarth <paul@city-fan.org> - 0.94-1
- Update to 0.94 (see Changes for details)
- New upstream maintainer → new source URL
- XS code built by default → package is no longer noarch
- Buildreq perl(Test::Deep) for additional test coverage
- Bump perl(Class::MOP) requirement to 0.98
- Run author tests as well as regular tests
- Buildreq perl(File::Find::Rule), perl(Module::Info), perl(Test::Pod),
  perl(Test::Pod::Coverage), perl(Test::Spelling) and aspell-en for author tests
- Update old-Test::More patch
- Filter doc file dependencies on Test::More and Test::Exception

* Thu Nov 19 2009 Paul Howarth <paul@city-fan.org> - 0.93-1
- Update to 0.93 (see Changes for details)
- New upstream maintainer → new source URL
- Dist tag for Rawhide no longer needs special-casing
- Update test suite patch for old Scalar::Util versions

* Wed Sep 23 2009 Paul Howarth <paul@city-fan.org> - 0.92-1
- Update to 0.92
- Buildreq/req Class::MOP ≥ 0.94
- Update patch for Scalar::Util < 1.14 for new failing test

* Mon Sep 21 2009 Paul Howarth <paul@city-fan.org> - 0.91-1
- Update to 0.91

* Wed Sep 16 2009 Paul Howarth <paul@city-fan.org> - 0.90-1
- Update to 0.90
- Test script permissions fixed upstream
- Use %%{?perl_default_filter}
- Buildreq/req Class::MOP >= 0.93
- Buildreq Try::Tiny and Test::Builder::Tester
- Add patch to enable test suite to pass with Test::More < 0.88
- Add patch to enable test suite to pass with Scalar::Util < 1.14

* Fri Aug 14 2009 Paul Howarth <paul@city-fan.org> - 0.89-1
- Update to 0.89
- Buildreq/req Class::MOP ≥ 0.92

* Mon Aug 10 2009 Paul Howarth <paul@city-fan.org> - 0.88-2
- Import from Fedora
- Drop all versions from reqs and buildreqs to start with
- Drop all buildreqs for optional tests to start with (except Test::Output)

* Mon Jul 27 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.88-1
- Auto-update to 0.88 (by cpan-spec-update 0.01)
- Altered br on perl(Class::MOP) (0.85 => 0.89)
- Altered br on perl(Sub::Exporter) (0.972 => 0.980)
- Added a new req on perl(Carp) (version 0)
- Added a new req on perl(Class::MOP) (version 0.89)
- Added a new req on perl(Data::OptList) (version 0)
- Added a new req on perl(List::MoreUtils) (version 0.12)
- Added a new req on perl(Scalar::Util) (version 1.19)
- Added a new req on perl(Sub::Exporter) (version 0.980)
- Added a new req on perl(Sub::Name) (version 0)
- Added a new req on perl(Task::Weaken) (version 0)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.81-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.81-2
- Split off Test::Moose

* Tue Jun 09 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.81-1
- Auto-update to 0.81 (by cpan-spec-update 0.01)
- Altered br on perl(Class::MOP) (0.83 => 0.85)

* Sun Jun 07 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.80-1
- Auto-update to 0.80 (by cpan-spec-update 0.01)

* Tue May 19 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.79-1
- Auto-update to 0.79 (by cpan-spec-update 0.01)

* Wed May 13 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.78-1
- Auto-update to 0.78 (by cpan-spec-update 0.01)
- Altered br on perl(Test::Exception) (0.21 => 0.27)
- Altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- Added a new br on perl(Sub::Name) (version 0)
- Altered br on perl(Class::MOP) (0.81 => 0.83)
- Altered br on perl(Sub::Exporter) (0.954 => 0.972)
- Added a new br on perl(Carp) (version 0)

* Mon May 04 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.74-2
- Switch filtering to a cleaner system

* Sat Apr 18 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.74-1
- Update to 0.74

* Wed Apr 01 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.73-1
- Update to 0.73

* Sun Mar 08 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.72-1
- Update to 0.72

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.71-1
- Update to 0.71

* Sun Jan 04 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.64-1
- Update to 0.64

* Sun Dec 28 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.63-1
- Update to 0.63
- Bump br versions on Moose, List::MoreUtils

* Sat Dec 06 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.62-1
- Update to 0.62
- New Task::Weaken and Class::MOP requirements

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.61-4
- Aaaand drop them again, as it was really perl-Class-MOP's issue

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.61-3
- Same with Devel::GlobalDestruction (same RT as below)

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.61-2
- Add Sub::Name as a build dep (RT#40772)

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.61-1
- Update to 0.61
- Update BR's

* Sat Sep 06 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.57-2
- Add additional test BR's

* Sat Sep 06 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.57-1
- Update to 0.57

* Fri Jul 18 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.54-1
- Update to 0.54

* Sat Jun 28 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.51-1
- Update to 0.51

* Tue Jun 17 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.50-1
- Update to 0.50
- Drop obviated test patch

* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.44-2
- Bump

* Wed May 21 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.44-1
- Update to 0.44

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.33-3
- Rebuild for new perl

* Mon Jan 07 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.33-2
- Remove *.orig files from t/ (BZ#427754)

* Sat Dec 15 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.33-1
- Update to 0.33

* Wed Dec 05 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.32-1
- Update to 0.32

* Sun Nov 25 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.30-1
- Update to 0.30

* Sat Nov 17 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.29-1
- Update to 0.29
- Refactor to Module::Install

* Sun Oct 14 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.26-1
- Update to 0.26

* Sat Aug 11 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.24-1
- Update to 0.24
- License tag: GPL -> GPL+
- Patch t/202_...t to write to a tmpdir rather than .

* Thu May 31 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.22-1
- Update to 0.22

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.21-1
- Update to 0.21

* Tue May 01 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.20-2
- Add t/ to %%doc
- Add br for optional test #7

* Sat Apr 07 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.20-1
- Update to 0.20
- Add additional BR's for new optional tests

* Fri Mar 23 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.18-1
- Sub::Name only needed as a br for Moose < 0.18
- Update to 0.18

* Thu Nov 16 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.17-2
- Add IO::File and IO::String to br's for testing

* Thu Nov 16 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.17-1
- Update to 0.17

* Mon Nov 06 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.15-1
- Update to 0.15

* Tue Oct 10 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.14-1
- Update to 0.14
- Drop some cruft from the specfile
- Make %%description a touch more verbose :)

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.13-1
- Update to 0.13

* Fri Sep 08 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.12-2
- Bump

* Sat Sep 02 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.12-1
- Specfile autogenerated by cpanspec 1.69.1
